net.sf.jasperreports.charts.design

## Class JRDesignPiePlot

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseChartPlot
  - - net.sf.jasperreports.charts.base.JRBasePiePlot
    - - net.sf.jasperreports.charts.design.JRDesignPiePlot

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRPiePlot, JRChangeEventsSupport, JRChartPlot, JRCloneable

      public class JRDesignPiePlot
      extends JRBasePiePlot

  Version:
    $Id: JRDesignPiePlot.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `JRBaseChartPlot.JRBaseSeriesColor`

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.charts.base.JRBasePiePlot

      `circular, itemLabel, labelFormat, legendLabelFormat, PROPERTY_CIRCULAR, PROPERTY_ITEM_LABEL, PROPERTY_LABEL_FORMAT, PROPERTY_LEGEND_LABEL_FORMAT, PROPERTY_SHOW_LABELS, showLabels`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `backcolor, backgroundAlphaFloat, chart, foregroundAlphaFloat, labelRotationDouble, orientationValue, PROPERTY_BACKCOLOR, PROPERTY_BACKGROUND_ALPHA, PROPERTY_FOREGROUND_ALPHA, PROPERTY_LABEL_ROTATION, PROPERTY_ORIENTATION, PROPERTY_SERIES_COLORS, seriesColors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignPiePlot(JRChartPlot piePlot, JRChart chart)`

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.charts.base.JRBasePiePlot

      `clone, collectExpressions, getCircular, getItemLabel, getLabelFormat, getLegendLabelFormat, getShowLabels, setCircular, setItemLabel, setLabelFormat, setLegendLabelFormat, setShowLabels`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `addSeriesColor, clearSeriesColors, clone, getBackcolor, getBackgroundAlphaFloat, getChart, getEventSupport, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Constructor Detail

    - #### JRDesignPiePlot

          public JRDesignPiePlot(JRChartPlot piePlot,
                         JRChart chart)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com